--- src/rrd_graph.h.orig	Wed Jan  5 17:01:55 2005
+++ src/rrd_graph.h	Wed Jan  5 17:02:27 2005
@@ -21,7 +21,7 @@
 
 
 enum gf_en {GF_PRINT=0,GF_GPRINT,GF_COMMENT,GF_HRULE,GF_VRULE,GF_LINE1,
-	    GF_LINE2,GF_LINE3,GF_AREA,GF_STACK, GF_DEF, GF_CDEF, GF_XPORT };
+	    GF_LINE2,GF_LINE3,GF_LINEM,GF_AREA,GF_STACK, GF_DEF, GF_CDEF, GF_XPORT };
 
 enum op_en {OP_NUMBER=0,OP_VARIABLE,OP_INF,OP_PREV,OP_PREV_OTHER,OP_NEGINF,
 	    OP_UNKN,OP_NOW,OP_TIME,OP_LTIME,OP_ADD,OP_MOD,

--- src/rrd_graph.c.orig	Sun Aug  8 18:58:13 2004
+++ src/rrd_graph.c	Wed Jan  5 17:04:49 2005
@@ -201,6 +201,7 @@
     conv_if(LINE1,GF_LINE1)
     conv_if(LINE2,GF_LINE2)
     conv_if(LINE3,GF_LINE3)
+    conv_if(LINEM,GF_LINEM)
     conv_if(AREA,GF_AREA)
     conv_if(STACK,GF_STACK)
     conv_if(DEF,GF_DEF)
@@ -1324,6 +1325,7 @@
       if((im->gdes[i].gf==GF_LINE1) ||
 	 (im->gdes[i].gf==GF_LINE2) ||
 	 (im->gdes[i].gf==GF_LINE3) ||
+	 (im->gdes[i].gf==GF_LINEM) ||
 	 (im->gdes[i].gf==GF_AREA) ||
 	 (im->gdes[i].gf==GF_STACK)){
 	if((im->gdes[i].p_data = malloc((im->xsize +1)
@@ -1346,6 +1348,7 @@
 	    case GF_LINE1:
 	    case GF_LINE2:
 	    case GF_LINE3:
+	    case GF_LINEM:
 	    case GF_AREA:
 		paintval = 0.0;
 	    case GF_STACK:
@@ -1680,6 +1683,7 @@
 	case GF_LINE1:
 	case GF_LINE2:
 	case GF_LINE3:
+	case GF_LINEM:
 	case GF_AREA:
 	case GF_STACK:
 	case GF_HRULE:
@@ -2401,6 +2405,9 @@
   case GF_LINE3:
     brush=gdImageCreate(3,3);
     break;
+  case GF_LINEM:
+    brush=gdImageCreate(1,2);
+    break;
   default:
     return NULL;
   }
@@ -2430,6 +2437,12 @@
     gdImageSetPixel(brush,2,1,pen);
     gdImageSetPixel(brush,1,2,pen);
     break;
+  case GF_LINEM:
+    gdImageSetPixel(brush,0,0,pen);
+    gdImageSetPixel(brush,0,1,pen);
+    gdImageSetPixel(brush,1,0,pen);
+    gdImageSetPixel(brush,1,1,pen);
+    break;
   default:
     return NULL;
   }
@@ -2667,6 +2680,7 @@
 	case GF_LINE1:
 	case GF_LINE2:
 	case GF_LINE3:
+	case GF_LINEM:
 	case GF_AREA:
 	    stack_gf = im->gdes[i].gf;
 	case GF_STACK:	    
@@ -2684,7 +2698,7 @@
 
 	    if (im->gdes[i].col.i != -1){               
 	       /* GF_LINE and frined */
-	       if(stack_gf == GF_LINE1 || stack_gf == GF_LINE2 || stack_gf == GF_LINE3 ){
+	       if(stack_gf == GF_LINE1 || stack_gf == GF_LINE2 || stack_gf == GF_LINE3 || stack_gf == GF_LINEM){
 		   brush = MkLineBrush(im,i,stack_gf);
 		   gdImageSetBrush(gif, brush);
 		   for(ii=1;ii<im->xsize;ii++){
@@ -3315,6 +3329,7 @@
 	case GF_LINE1:
 	case GF_LINE2:
 	case GF_LINE3:
+	case GF_LINEM:
 	case GF_AREA:
 	    linepass = 1;
 	    if((scancount=sscanf(
